# $Revision: 1.13 $, $Date: 2012/01/27 09:32:26 $
%define	libver	0.4
Summary:	The Oil Runtime Compiler
Summary(pl.UTF-8):	Oil Runtime Compiler - kompilator zoptymalizowanych pętli wewnętrznych
Name:		orc
Version:	0.4.16
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://code.entropywave.com/download/orc/%{name}-%{version}.tar.gz
# Source0-md5:	e482932e544c847761449b106ecbc483
URL:		http://code.entropywave.com/projects/orc/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1.6
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data. The "language" is a
generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

%description -l pl.UTF-8
Orc to biblioteka i zestaw narzędzi do kompilowania i wykonywania
bardzo prostych programów operujących na tablicach danych. "Język" to
ogólny asembler reprezentujący wiele możliwości dostępnych w
architekturach SIMD, w tym ograniczone dodawanie i odejmowanie oraz
wiele operacji arytmetycznych.

%package devel
Summary:	Header files for orc library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki orc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for orc library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki orc.

%package static
Summary:	Static orc library
Summary(pl.UTF-8):	Statyczna biblioteka orc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static orc library.

%description static -l pl.UTF-8
Statyczna biblioteka orc.

%prep
%setup -q

%{__rm} m4/libtool.m4 m4/lt*.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README TODO
%attr(755,root,root) %{_bindir}/orc-bugreport
%attr(755,root,root) %{_bindir}/orcc
%attr(755,root,root) %{_libdir}/liborc-%{libver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liborc-%{libver}.so.0
%attr(755,root,root) %{_libdir}/liborc-test-%{libver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liborc-test-%{libver}.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liborc-%{libver}.so
%attr(755,root,root) %{_libdir}/liborc-test-%{libver}.so
%{_libdir}/liborc-%{libver}.la
%{_libdir}/liborc-test-%{libver}.la
%{_includedir}/orc-%{libver}
%{_pkgconfigdir}/orc-%{libver}.pc
%{_aclocaldir}/orc.m4
%{_gtkdocdir}/orc

%files static
%defattr(644,root,root,755)
%{_libdir}/liborc-%{libver}.a
%{_libdir}/liborc-test-%{libver}.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: orc.spec,v $
Revision 1.13  2012/01/27 09:32:26  zbyniu
- release 2

Revision 1.12  2011/10/11 19:30:54  qboosh
- updated to 0.4.16

Revision 1.11  2011/04/30 19:17:31  qboosh
- updated to 0.4.14

Revision 1.10  2011/04/20 16:32:59  qboosh
- updated to 0.4.13
- removed obsolete build patch

Revision 1.9  2011/04/15 09:36:30  caleb
- Up to 0.4.12

Revision 1.8  2010/10/23 12:23:27  qboosh
- cleanup (examples no longer packaged)

Revision 1.7  2010/10/22 09:53:39  caleb
- Up to 0.4.11

Revision 1.6  2010/09/02 18:09:22  qboosh
- updated to 0.4.8
- pl
- added COPYING to doc (specifies BSD license holder and details)

Revision 1.5  2010/08/24 21:07:18  glen
- release 2

Revision 1.4  2010/08/24 21:07:06  glen
- remove libtool m4 copies

Revision 1.3  2010/08/24 19:10:47  patrys
- 0.4.7

Revision 1.2  2010/03/15 20:54:27  sparky
- BR: autoconf, automake, gtk-doc, libtool, pkgconfig, which
- asciize %description
- define libver macro to assure correct %files

Revision 1.1  2010/03/15 20:04:19  arekm
- initial
